# Interface Statistics

public interface Statistics
Statistical data container

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`int64`
`static final int`
`none`
ValueType
`static final int`
`real`
`static final int`
`string`
`static final int`
`uint64`

## Method Summary

Modifier and Type
Method
Description
`double`
`getAsDouble(String path)`
getAsDouble
`long`
`getAsI64(String path)`
getAsI64
`String`
`getAsString(String path)`
getAsString
`long`
`getAsU64(String path)`
getAsU64
`int`
`getValueType(String path)`
getValueType
`String`
`nextPath(String path)`
nextPath advance to next path in container

## Field Details

### none

static final int none
ValueType

See Also:
  - Constant Field Values

### string

static final int string

See Also:
  - Constant Field Values

### int64

static final int int64

See Also:
  - Constant Field Values

### uint64

static final int uint64

See Also:
  - Constant Field Values

### real

static final int real

See Also:
  - Constant Field Values

## Method Details

### getValueType

int getValueType(String path)
getValueType

Parameters:
  `path` - is hierarchical path to value node
Returns:
  one of { none, string, int64, uint64, real }

### getAsString

String getAsString(String path) throws ErrorMsg
getAsString

Parameters:
  `path` - is hierarchical path to value node
Returns:
  textual representation of value
Throws:
  `ErrorMsg` - if path not found or value cannot be converted

### getAsI64

long getAsI64(String path) throws ErrorMsg
getAsI64

Parameters:
  `path` - is hierarchical path to value node
Returns:
  a signed 64-bit integer
Throws:
  `ErrorMsg` - if path not found or value cannot be converted

### getAsU64

long getAsU64(String path) throws ErrorMsg
getAsU64

Parameters:
  `path` - is hierarchical path to value node
Returns:
  a non-negative 64-bit integer
Throws:
  `ErrorMsg` - if path not found or value cannot be converted

### getAsDouble

double getAsDouble(String path) throws ErrorMsg
getAsDouble

Parameters:
  `path` - is hierarchical path to value node
Returns:
  a 64-bit floating point
Throws:
  `ErrorMsg` - if path not found or value cannot be converted

### nextPath

String nextPath(String path)
nextPath advance to next path in container

Parameters:
  `path` - is null or empty to request first path, or a valid path string
Returns:
  null if no more paths, or a valid path string